## gr-framework 0.73.12+dfsg

=== examples/qt5_ex/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.19)

project(gr_qt5_example LANGUAGES CXX)

set(GRDIR
    "/usr/local/gr"
    CACHE STRING "Default value for GRDIR"
)
list(APPEND CMAKE_PREFIX_PATH "${GRDIR}")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

find_package(
  Qt5
  COMPONENTS Core Widgets
  REQUIRED
)
find_package(GR NO_MODULE REQUIRED)

add_executable(main main.cpp main_window.cpp)
target_link_libraries(main PRIVATE GR::qt5gr)

=== lib/gks/plugin/Makefile ===
ifeq ($(strip $(THIRDPARTYDIR)),)
override THIRDPARTYDIR = $(abspath $(CURDIR)/../../../3rdparty/build)
endif

   UNAME := $(shell uname)

      GRDIR = /usr/local/gr
     LIBDIR = $(DESTDIR)$(GRDIR)/lib

     CFLAGS = -O -Wall -Wextra -pedantic -fPIC $(EXTRA_CFLAGS)
   CXXFLAGS = -O -Wall -Wextra -pedantic -Wno-deprecated-copy -fPIC $(EXTRA_CXXFLAGS) # -Wno-deprecated-copy to avoid warnings from wx headers
   INCLUDES = -I.. -I$(THIRDPARTYDIR)/include
    SOFLAGS = -shared
ifeq ($(UNAME),Linux)
    SOFLAGS += -Wl,-soname,$@
endif
    LDFLAGS = $(EXTRA_LDFLAGS)
ifeq ($(UNAME),Darwin)
	 CFLAGS += -mmacosx-version-min=10.15
   CXXFLAGS += -mmacosx-version-min=10.15
	 LDFLAGS += -mmacosx-version-min=10.15
endif
  WX_CONFIG = false
     WXDEFS =
      WXINC = `$(WX_CONFIG) --cxxflags 2>/dev/null`
     WXLIBS = `$(WX_CONFIG) --libs 2>/dev/null`
ifneq ($(QT4_QMAKE),false)
     QT4DEFS =
   QT4INCDIR = `$(QT4_QMAKE) -query QT_INSTALL_HEADERS`
      QT4INC = -I$(QT4INCDIR) -I$(QT4INCDIR)/QtCore -I$(QT4INCDIR)/QtGui
   QT4LIBDIR = `$(QT4_QMAKE) -query QT_INSTALL_LIBS`
     QT4LIBS = -L$(QT4LIBDIR) -lQtGui -lQtCore
ifeq ($(UNAME),Darwin)
ifneq ($(QT4INC),)
     QT4INC += -mmacosx-version-min=10.15
endif
else
	EXTRA_LDFLAGS_QT4="-Wl,-rpath=$(QT4LIBDIR)"
endif
endif
ifneq ($(QT5_QMAKE),false)
     QT5DEFS =
   QT5INCDIR = `$(QT5_QMAKE) -query QT_INSTALL_HEADERS`
ifeq ($(UNAME),Darwin)
      QT5INC = -I$(QT5INCDIR) -I$(QT5LIBDIR)/QtCore.framework/Versions/5/Headers -I$(QT5LIBDIR)/QtGui.framework/Versions/5/Headers -I$(QT5LIBDIR)/QtWidgets.framework/Versions/5/Headers -F$(QT5LIBDIR)
else
      QT5INC = -I$(QT5INCDIR) -I$(QT5INCDIR)/QtCore -I$(QT5INCDIR)/QtGui -I$(QT5INCDIR)/QtWidgets
endif
   QT5INC += -std=c++11
   QT5LIBDIR = `$(QT5_QMAKE) -query QT_INSTALL_LIBS`
ifeq ($(UNAME),Darwin)
     QT5LIBS = -F$(QT5LIBDIR) -framework QtWidgets -framework QtGui -framework QtCore
else
     QT5LIBS = -L$(QT5LIBDIR) -lQt5Widgets -lQt5Gui -lQt5Core
	EXTRA_LDFLAGS_QT5="-Wl,-rpath=$(QT5LIBDIR)"
endif
endif
ifneq ($(QT6_QMAKE),false)
     QT6DEFS =
   QT6INCDIR = `$(QT6_QMAKE) -query QT_INSTALL_HEADERS`
ifeq ($(UNAME),Darwin)
      QT6INC = -I$(QT6INCDIR) -I$(QT6LIBDIR)/QtCore.framework/Versions/A/Headers -I$(QT6LIBDIR)/QtGui.framework/Versions/A/Headers -I$(QT6LIBDIR)/QtWidgets.framework/Versions/A/Headers -F$(QT6LIBDIR)
else
      QT6INC = -I$(QT6INCDIR) -I$(QT6INCDIR)/QtCore -I$(QT6INCDIR)/QtGui -I$(QT6INCDIR)/QtWidgets
endif
	QT6INC += -std=c++17
	QT6LIBDIR = `$(QT6_QMAKE) -query QT_INSTALL_LIBS`
ifeq ($(UNAME),Darwin)
     QT6LIBS = -F$(QT6LIBDIR) -framework QtWidgets -framework QtGui -framework QtCore
else
     QT6LIBS = -L$(QT6LIBDIR) -lQt6Widgets -lQt6Gui -lQt6Core
	EXTRA_LDFLAGS_QT6="-Wl,-rpath=$(QT6LIBDIR)"
endif
endif
 GTK_CONFIG = false
    GTKDEFS =
     GTKINC = `$(GTK_CONFIG) gtk+-2.0 --cflags 2>/dev/null`
    GTKLIBS = `$(GTK_CONFIG) gtk+-2.0 --libs 2>/dev/null`
   JPEGLIBS = $(THIRDPARTYDIR)/lib/libjpeg.a
    PNGLIBS = $(THIRDPARTYDIR)/lib/libpng.a
    BZ2LIBS = $(THIRDPARTYDIR)/lib/libbz2.a
     GSDEFS =
      GSINC =
     GSLIBS = -lgs
   GLFWDEFS =
    GLFWINC =
    GLFWLIB = glfw
ifeq ($(UNAME),Darwin)
   GLFWLIBS = -l$(GLFWLIB) -framework OpenGL -framework Cocoa -framework IOKit -framework CoreVideo
else
   GLFWLIBS = -l$(GLFWLIB) -lGL
endif
    XFTDEFS =
     FTDEFS =
     FTLIBS = $(THIRDPARTYDIR)/lib/libfreetype.a
     AVDEFS =
     AVLIBS = -lavformat -lavcodec -lswscale -lavutil $(BZ2LIBS)
  CAIRODEFS =
ifdef USE_STATIC_CAIRO_LIBS
  CAIROLIBS = $(THIRDPARTYDIR)/lib/libcairo.a $(THIRDPARTYDIR)/lib/libpixman-1.a
else
  CAIROLIBS = -lcairo -lpixman-1 -lpthread
endif
  AGGDEFS = -std=c++11
ifdef USE_STATIC_AGG_LIBS
  AGGLIBS = $(THIRDPARTYDIR)/lib/libagg.a
else
  AGGLIBS = -lagg
endif
    SSLLIBS = -lssl -lcrypto
    X11DEFS =
ifeq ($(UNAME), Darwin)
     X11INC = -I/opt/X11/include
else
     X11INC = -I/usr/X11R6/include
endif
    XFTLIBS = -lXft -lfontconfig
    X11LIBS = $(X11PATH) $(XFTLIBS) -lXt -lX11
    ZMQDEFS =
    ZMQLIBS = -L$(THIRDPARTYDIR)/lib/ -lzmq -lpthread
ifeq ($(UNAME), Darwin)
  EXTRALIBS = -framework VideoDecodeAcceleration -framework VideoToolbox -framework CoreVideo -framework CoreFoundation -framework CoreServices -framework CoreMedia
       LIBS = -liconv
else
  EXTRALIBS =
       LIBS = -lc -lm
endif
      ZLIBS = $(THIRDPARTYDIR)/lib/libz.a
   TIFFLIBS = -ltiff
    GKSLIBS = ../libGKS.a

.SUFFIXES: .o .m .cxx

.m.o:
	$(CXX) -c -DGRDIR=\"$(GRDIR)\" $(DEFINES) $(INCLUDES) $(CXXFLAGS) $<
.c.o:
	$(CC) -c -DGRDIR=\"$(GRDIR)\" $(DEFINES) $(CFLAGS) $(INCLUDES) $(GTKDEFS) $(GTKINC) $(GSDEFS) $(GSINC) $(GLFWDEFS) $(GLFWINC) $(ZMQDEFS) $(XFTDEFS) $(FTDEFS) $(FTINC) $(AVDEFS) $(CAIRODEFS) $(X11DEFS) $(X11INC) $(ZINC) $<
.cxx.o:
	$(CXX) -c -DGRDIR=\"$(GRDIR)\" $(DEFINES) $(CXXFLAGS) $(INCLUDES) $(WXDEFS) $(WXINC) $(QT4DEFS) $(QT4INC) $(GTKDEFS) $(GTKINC) $(GSDEFS) $(GSINC) $(GLFWDEFS) $(GLFWINC) $(ZMQDEFS) $(XFTDEFS) $(FTDEFS) $(FTINC) $(AVDEFS) $(CAIRODEFS) $(X11DEFS) $(X11INC) $(ZINC) $<

default:
	$(MAKE) -C ../../.. Makedefs
	$(MAKE) `cat ../../../Makedefs`

all: targets

targets: prerequisites \
         x11plugin.so wxplugin.so qtplugin.so qt5plugin.so qt6plugin.so \
         svgplugin.so gtkplugin.so gsplugin.so wmfplugin.so glplugin.so \
         zmqplugin.so pgfplugin.so cairoplugin.so videoplugin.so aggplugin.so

ifeq ($(UNAME),Darwin)
targets: quartzplugin.so
endif

prerequisites:
	$(MAKE) -C ../../../3rdparty PREFIX=$(THIRDPARTYDIR)

$(GKSLIBS):
	$(MAKE) -C .. libGKS.a

qtplugin.o: qtplugin.cxx
	$(CXX) -o $@ -c -DGRDIR=\"$(GRDIR)\" $(DEFINES) $(WXDEFS) $(WXINC) $(QT4DEFS) $(QT4INC) $(GTKDEFS) $(GTKINC) $(GSDEFS) $(GSINC) $(GLFWDEFS) $(GLFWINC) $(ZMQDEFS) $(INCLUDES) $(XFTDEFS) $(FTDEFS) $(FTINC) $(AVDEFS) $(CAIRODEFS) $(X11DEFS) $(X11INC) $(CXXFLAGS) $(ZINC) $<

qt5plugin.o: qt5plugin.cxx
	$(CXX) -o $@ -c -DGRDIR=\"$(GRDIR)\" $(DEFINES) $(WXDEFS) $(WXINC) $(QT5DEFS) $(QT5INC) $(GTKDEFS) $(GTKINC) $(GSDEFS) $(GSINC) $(GLFWDEFS) $(GLFWINC) $(ZMQDEFS) $(INCLUDES) $(XFTDEFS) $(FTDEFS) $(FTINC) $(AVDEFS) $(CAIRODEFS) $(X11DEFS) $(X11INC) $(CXXFLAGS) $(ZINC) $<

qt6plugin.o: qt6plugin.cxx
	$(CXX) -o $@ -c -DGRDIR=\"$(GRDIR)\" $(DEFINES) $(WXDEFS) $(WXINC) $(QT6DEFS) $(QT6INC) $(GTKDEFS) $(GTKINC) $(GSDEFS) $(GSINC) $(GLFWDEFS) $(GLFWINC) $(ZMQDEFS) $(INCLUDES) $(XFTDEFS) $(FTDEFS) $(FTINC) $(AVDEFS) $(CAIRODEFS) $(X11DEFS) $(X11INC) $(CXXFLAGS) $(ZINC) $<

aggplugin.o: aggplugin.cxx
	$(CXX) -c -DGRDIR=\"$(GRDIR)\" $(DEFINES) $(CXXFLAGS) $(INCLUDES) $(FTDEFS) $(FTINC) $(AGGDEFS) $<

x11plugin.so: x11plugin.o $(GKSLIBS)
	$(CC) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(FTLIBS) $(ZLIBS) $(X11LIBS) $(LIBS)

wxplugin.so: wxplugin.o $(GKSLIBS)
	$(CXX) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(WXLIBS) $(X11LIBS) $(LIBS)

qtplugin.so: qtplugin.o $(GKSLIBS)
	$(CXX) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(EXTRA_LDFLAGS_QT4) $(QT4LIBS) $(X11LIBS) $(LIBS)

qt5plugin.so: qt5plugin.o $(GKSLIBS)
	$(CXX) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(EXTRA_LDFLAGS_QT5) $(QT5LIBS) $(X11LIBS) $(LIBS)

qt6plugin.so: qt6plugin.o $(GKSLIBS)
	$(CXX) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(EXTRA_LDFLAGS_QT6) $(QT6LIBS) $(X11LIBS) $(LIBS)

svgplugin.so: svgplugin.o $(GKSLIBS) $(PNGLIBS)
	$(CC) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(PNGLIBS) $(ZLIBS) $(LIBS)

gtkplugin.so: gtkplugin.o $(GKSLIBS)
	$(CC) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(GTKLIBS) $(X11LIBS) $(LIBS)

gsplugin.so: gsplugin.o $(GKSLIBS)
	$(CC) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(GSLIBS) $(X11LIBS) $(LIBS)

wmfplugin.so: wmfplugin.o $(GKSLIBS)
	$(CC) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(LIBS)

quartzplugin.so: quartzplugin.o $(GKSLIBS)
	$(CXX) -o $@ $(SOFLAGS) $^ $(LIBS) $(ZMQLIBS) \
	-lobjc -framework Foundation -framework ApplicationServices -framework AppKit

glplugin.so: glplugin.o $(GKSLIBS)
	$(CC) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(GLFWLIBS) $(FTLIBS) $(ZLIBS) $(X11LIBS) $(LIBS)

zmqplugin.so: zmqplugin.o $(GKSLIBS)
	$(CXX) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(ZMQLIBS) $(LIBS)

pgfplugin.so: pgfplugin.o $(GKSLIBS) $(PNGLIBS)
	$(CC) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(PNGLIBS) $(ZLIBS) $(LIBS)

cairoplugin.o: cairoplugin.c
	$(CC) -c -DGRDIR=\"$(GRDIR)\" $(DEFINES) $(INCLUDES) $(FTDEFS) $(FTINC) $(JPEGDEFS) $(CAIRODEFS) $(TIFFDEFS) $(CFLAGS) $(ZINC) -DNO_X11 $<

cairoplugin.so: cairoplugin.o $(GKSLIBS) $(PNGLIBS)
	$(CC) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(CAIROLIBS) $(FTLIBS) $(JPEGLIBS) $(PNGLIBS) $(TIFFLIBS) $(ZLIBS) $(LIBS) -DNO_X11

videoplugin.so: videoplugin.o vc.o gif.o $(GKSLIBS)
	$(CXX) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(AVLIBS) $(FTLIBS) $(EXTRALIBS) $(ZLIBS) $(LIBS)

aggplugin.so: aggplugin.o $(GKSLIBS) $(PNGLIBS)
	$(CXX) -o $@ $(SOFLAGS) $(LDFLAGS) $^ $(AGGLIBS) $(FTLIBS) $(JPEGLIBS) $(PNGLIBS) $(EXTRALIBS) $(ZLIBS) $(LIBS)

install: default $(TARGETS)
	cp -p *.so $(LIBDIR)

clean:
	rm -f so_locations *.so *.o *.bak *~ *.tmp

qtplugin.o: qtplugin_impl.cxx
qt5plugin.o: qtplugin_impl.cxx
qt6plugin.o: qtplugin_impl.cxx

.PHONY: clean install default gks

=== lib/grm/grplot/qtterm/sender/Makefile ===
GRDIR = /usr/local/gr
INCLUDES = -I$(GRDIR)/include
CFLAGS = -Wall -g $(INCLUDES)# -fsanitize=address
LIBS = -L$(GRDIR)/lib -lGRM -lm
LDFLAGS = $(LIBS) -Wl,-rpath,$(GRDIR)/lib# -fsanitize=address

all: sender_line sender_stairs sender_lines sender_contour sender_shade sender_scatter sender_multiple_plots sender_multiple_plots_shade_contour sender_event_resize sender_heatmap sender_barplot sender_nonuniformheatmap sender_hist

sender_line: sender_line.o
	$(CC) -o $@ $^ $(LDFLAGS)

sender_lines: sender_lines.o
	$(CC) -o $@ $^ $(LDFLAGS)

sender_stairs: sender_stairs.o
	$(CC) -o $@ $^ $(LDFLAGS)

sender_shade: sender_shade.o
	$(CC) -o $@ $^ $(LDFLAGS)

sender_contour: sender_contour.o
	$(CC) -o $@ $^ $(LDFLAGS)

sender_scatter: sender_scatter.o
	$(CC) -o $@ $^ $(LDFLAGS)

sender_multiple_plots: sender_multiple_plots.o
	$(CC) -o $@ $^ $(LDFLAGS)

sender_multiple_plots_shade_contour: sender_multiple_plots_shade_contour.o
	$(CC) -o $@ $^ $(LDFLAGS)

sender_event_resize: sender_event_resize.o
	$(CC) -o $@ $^ $(LDFLAGS)

sender_heatmap: sender_heatmap.o
	$(CC) -o $@ $^ $(LDFLAGS)

sender_nonuniformheatmap: sender_nonuniformheatmap.o
	$(CC) -o $@ $^ $(LDFLAGS)

sender_barplot: sender_barplot.o
	$(CC) -o $@ $^ $(LDFLAGS)

sender_hist: sender_hist.o
	$(CC) -o $@ $^ $(LDFLAGS)

%.o: %.c
	$(CC) -c $(CFLAGS) $^

clean:
	rm -f sender_line sender_stairs sender_multiple_plots_shade_contour sender_lines sender_contour sender_shade sender_scatter sender_multiple_plots sender_event_resize sender_heatmap sender_barplot sender_nonuniformheatmap sender_hist *.o *.a *.so

.PHONY: all clean

=== lib/grm/test/internal_api/grm/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.16)

project(
  grm_test_internal_api
  DESCRIPTION "Test the internal api of GRM"
  LANGUAGES C CXX
)

set(EXECUTABLE_SOURCES
    args_automatic_array_conversion.c
    bson_serialize_deserialize.c
    get_compatible_format.c
    datatype/string_array_map.c
    escape_minus.cxx
    id_pool.cxx
)

foreach(executable_source ${EXECUTABLE_SOURCES})
  get_filename_component(executable "${executable_source}" NAME_WE)
  add_executable("${PROJECT_NAME}_${executable}" "${executable_source}")
  target_include_directories("${PROJECT_NAME}_${executable}" PRIVATE ".")
  target_link_libraries("${PROJECT_NAME}_${executable}" PRIVATE grm_shared_internal)
  target_link_libraries("${PROJECT_NAME}_${executable}" PRIVATE m)
  target_compile_definitions("${PROJECT_NAME}_${executable}" PRIVATE BUILDING_GR)
  target_compile_options("${PROJECT_NAME}_${executable}" PRIVATE ${COMPILER_OPTION_ERROR_IMPLICIT})
  set_target_properties(
    "${PROJECT_NAME}_${executable}"
    PROPERTIES C_STANDARD 90
               C_STANDARD_REQUIRED ON
               C_EXTENSIONS OFF
               CXX_STANDARD 17
               CXX_STANDARD_REQUIRED ON
               CXX_EXTENSIONS OFF
  )
endforeach()

=== lib/grm/test/public_api/grm/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.16)

project(
  grm_test_public_api
  DESCRIPTION "Test the public api of GRM"
  LANGUAGES C CXX
)

set(EXECUTABLE_SOURCES
    bar_errorbar.c
    barplot.cxx
    custom_receiver.c
    custom_sender.c
    dom_render.cxx
    event_handling.c
    heatmap.c
    histogram.c
    hold_append.c
    imshow.c
    isosurface.c
    layout.c
    line_errorbar.c
    merge_args.c
    multi_plot.c
    zoom.c
    pie.c
    plot.c
    polar_histogram.c
    polar_heatmap.cxx
    quiver.c
    raw.c
    receiver.c
    scatter_errorbar.c
    sender.c
    size.c
    subplots.c
    surface.c
    volume.c
    marginalheatmap.c
)

foreach(executable_source ${EXECUTABLE_SOURCES})
  get_filename_component(executable "${executable_source}" NAME_WE)
  get_filename_component(EXT "${executable_source}" LAST_EXT)
  add_executable("${PROJECT_NAME}_${executable}" "${executable_source}")
  target_link_libraries("${PROJECT_NAME}_${executable}" PRIVATE grm_shared)
  target_link_libraries("${PROJECT_NAME}_${executable}" PRIVATE gr_shared)
  target_link_libraries("${PROJECT_NAME}_${executable}" PRIVATE gks_shared)
  target_link_libraries("${PROJECT_NAME}_${executable}" PRIVATE m)
  if("${ext}" STREQUAL ".cxx")
    target_link_libraries("${PROJECT_NAME}_${executable}" PRIVATE GRender)
    target_link_libraries("${PROJECT_NAME}_${executable}" PRIVATE gr_graphics_tree_interface)
  endif()
  target_compile_definitions("${PROJECT_NAME}_${executable}" PRIVATE BUILDING_GR)
  target_compile_options("${PROJECT_NAME}_${executable}" PRIVATE ${COMPILER_OPTION_ERROR_IMPLICIT})
  set_target_properties(
    "${PROJECT_NAME}_${executable}"
    PROPERTIES C_STANDARD 90
               C_STANDARD_REQUIRED ON
               C_EXTENSIONS OFF
               CXX_STANDARD 17
               CXX_STANDARD_REQUIRED ON
               CXX_EXTENSIONS OFF
  )
endforeach()

add_subdirectory(snoop grm_test_snoop)

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
	-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DCMAKE_PREFIX_PATH=/usr/include/agg2

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp -name '*.a' | xargs rm -f
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gr
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) -name '*plugin.so' | xargs -I% mv % $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gr
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/gr-framework-doc/
	mv $(CURDIR)/debian/tmp/usr/share/doc/grplot/* $(CURDIR)/debian/tmp/usr/share/doc/gr-framework-doc/
	mv $(CURDIR)/debian/tmp/usr/share/doc/GR/* $(CURDIR)/debian/tmp/usr/share/doc/gr-framework-doc/

override_dh_shlibdeps:
	dh_shlibdeps
	# Workaround that it always depends on missing libagg2.
	# If ${t64:Provides} macro does nothing, can't resolve missing dependency on armhf, armel.
	sed -i -e 's/libagg2 /libagg2t64 /' $(CURDIR)/debian/gr-framework-plugin-agg.substvars

=== debian/watch ===
version=4
opts=\
  "searchmode=plain,\
  repack,\
  dversionmangle=auto,\
  repacksuffix=+dfsg,\
  filenamemangle=s%v(\d\.[\d\.]+)%gr-framework-$1.tar.gz%" \
  https://api.github.com/repos/sciapp/gr/tags \
  https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v(\d\.[\d\.]+)

## gr-framework 0.73.13+dfsg

=== debian/changelog ===
gr-framework (0.73.13+dfsg-2) unstable; urgency=medium

  * Source only upload for migration.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 23 Feb 2025 22:24:30 +0900

gr-framework (0.73.13+dfsg-1) unstable; urgency=medium

  * New upstream version 0.73.13+dfsg
  * d/copyright
    - Update copyright
  * d/libgr-framework0.links
    - Fix path inconsistency
  * debian/patches/use-dejavu-sans-ttf.patch
    debian/patches/do-not-install-fonts.patch
    - Drop patch, make CMUSerif-Math by default.
  * debian/README.*
    - Update explanation about fonts.

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 20 Feb 2025 20:46:15 +0900

=== debian/control ===
Source: gr-framework
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Kentaro HAYASHI <kenhys@xdump.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 dvipng,
 libagg2-dev,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libgl-dev,
 libglfw3-dev,
 libgs-dev,
 libgtk2.0-dev,
 libjpeg-dev,
 libqhull-dev,
 libswscale-dev,
 libx11-dev,
 libxerces-c-dev,
 libxft-dev,
 libxt-dev,
 libzmq3-dev,
 qmake6,
 qt6-base-dev,
 qtbase5-dev
Standards-Version: 4.7.0
Homepage: https://gr-framework.org/
Vcs-Browser: https://salsa.debian.org/science-team/gr-framework
Vcs-Git: https://salsa.debian.org/science-team/gr-framework.git

# Support typical use cases.
Package: gr-framework
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version}),
 gr-framework-bin (= ${binary:Version}),
 gr-framework-plugin-base (= ${binary:Version}),
 gr-framework-plugin-cairo (= ${binary:Version})
Description: Universal framework of Graphical Kernel System (GKS) and OpenGL (metapackage)
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.

# gksqt depends Qt6, so install Qt6 plugin too.
Package: gr-framework-bin
Section: utils
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version}),
 gr-framework-plugin-qt6 (= ${binary:Version})
Description: Binary of Graphical Kernel System (GKS) and OpenGL
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains binary executable files for GR.

Package: libgr-framework-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version})
Description: Development files of Graphical Kernel System (GKS) and OpenGL
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains development files for GR.

# base and cairo plugin support most of output format
Package: libgr-framework0
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dvipng,
 fonts-gr-framework
Description: Library of Graphical Kernel System (GKS) and OpenGL
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains runtime library for GR.

Package: fonts-gr-framework
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-dejavu-core,
 fonts-urw-base35,
 fonts-stix
Description: Bundled Font of Graphical Kernel System (GKS) and OpenGL
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains CMUSerif Math for GKS.

Package: gr-framework-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Documentation of Graphical Kernel System (GKS) and OpenGL
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains documentation for GKS.

Package: gr-framework-plugin-base
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version})
Description: Basic plugins for Graphical Kernel System (GKS) and OpenGL
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains comprehensive plugins - PGF (Portable Graphics Format),
 SVG (Scalable Vector Graphics) and WMF (Windows Metafile) plugins.

Package: gr-framework-plugin-full
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 gr-framework-plugin-agg,
 gr-framework-plugin-cairo,
 gr-framework-plugin-gl,
 gr-framework-plugin-gs,
 gr-framework-plugin-qt5,
 gr-framework-plugin-qt6,
 gr-framework-plugin-x11,
 gr-framework-plugin-video,
 gr-framework-plugin-zmq
Description: All plugins for Graphical Kernel System (GKS) and OpenGL (metapackage)
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package installs all of plugins for GKS.

Package: gr-framework-plugin-agg
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version})
Description: Graphical Kernel System (GKS) and OpenGL plugin for AGG
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains plugin for Anti-Grain Geometry library.

Package: gr-framework-plugin-cairo
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version})
Description: Graphical Kernel System (GKS) and OpenGL plugin for Cairo
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains plugin for Cairo Graphics.

Package: gr-framework-plugin-gl
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version})
Description: Graphical Kernel System (GKS) and OpenGL plugin for WGL/CGL/GLX
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains plugin for OpenGL.

Package: gr-framework-plugin-gs
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version})
Description: Graphical Kernel System (GKS) and OpenGL plugin for Ghostscript
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains plugin for Ghostscript.

Package: gr-framework-plugin-qt5
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version})
Description: Graphical Kernel System (GKS) and OpenGL plugin for Qt5
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains plugin for Qt5.

Package: gr-framework-plugin-qt6
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version})
Description: Graphical Kernel System (GKS) and OpenGL plugin for Qt6
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains plugin for Qt6.

Package: gr-framework-plugin-x11
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version})
Description: Graphical Kernel System (GKS) and OpenGL plugin for GKS 5 (X11)
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains plugin for GKS 5 (X11).

Package: gr-framework-plugin-video
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version})
Description: Graphical Kernel System (GKS) and OpenGL plugin for Video
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains plugin for Video output.

Package: gr-framework-plugin-zmq
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgr-framework0 (= ${binary:Version})
Description: Graphical Kernel System (GKS) and OpenGL plugin for ZeroMQ
 GR is a universal framework for cross-platform visualization
 applications. It offers developers a compact, portable and consistent
 graphics library for their programs. Applications range from
 publication quality 2D graphs to the representation of complex 3D
 scenes.
 .
 This package contains plugin for ZeroMQ.

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,8 @@
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/gr-framework-doc/
 	mv $(CURDIR)/debian/tmp/usr/share/doc/grplot/* $(CURDIR)/debian/tmp/usr/share/doc/gr-framework-doc/
 	mv $(CURDIR)/debian/tmp/usr/share/doc/GR/* $(CURDIR)/debian/tmp/usr/share/doc/gr-framework-doc/
+	mkdir -p $(CURDIR)/debian/tmp/usr/share/fonts/truetype/gr-framework/
+	mv $(CURDIR)/debian/tmp/usr/fonts/*.ttf $(CURDIR)/debian/tmp/usr/share/fonts/truetype/gr-framework/
 
 override_dh_shlibdeps:
 	dh_shlibdeps

## gr-framework 0.73.14%2Bdfsg

=== debian/changelog ===
gr-framework (0.73.14+dfsg-2build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 10:53:51 +0000

gr-framework (0.73.14+dfsg-2) unstable; urgency=medium

  * Apply patch to fix FTBFS with ffmpeg8.0 (Closes: #1115025)

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 17 Dec 2025 14:51:50 +0900

gr-framework (0.73.14+dfsg-1) unstable; urgency=medium

  * New upstream version 0.73.14+dfsg
  * debian/rules
    - Follow changed license install path
  * debian/control
    - Bump Standards-Version to 4.7.2. No changes required.

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 29 Apr 2025 14:47:23 +0900
